Main Page Class Hierarchy Compound List File List Compound Members File Members

# gsehead.h File Reference

Go to the source code of this file.

## Functions
int | GSEPA_init (char *output_dir, char *output_format, int debug)
int | GSEPA_next_ev (TRACE_REQ *trace_req, int n_reqs, char *output_dir, char *e_date, char *e_time, int debug)
int | GSEPA_next (TRACE_REQ *trace_req, double gap_thresh, int debug)
int | GSEPA_end_ev (int debug)
int | GSEPA_close (int debug)

## Function Documentation

int GSEPA_close | ( | int | debug | ) |

| Definition at line 424 of file gseputaway.c. References EW_SUCCESS, and logit(). Referenced by PA_close().

int GSEPA_end_ev | ( | int | debug | ) |

| Definition at line 372 of file gseputaway.c. References close_gse_file(), EW_FAILURE, EW_SUCCESS, logit(), and rename_ew(). Referenced by PA_end_ev().

int GSEPA_init | ( | char * | output_dir,
|  | char * | output_format,
|  | int | debug
| ) |

| Definition at line 94 of file gseputaway.c. References CreateDir(), EW_FAILURE, EW_SUCCESS, file_open_mode, line_terminator, and logit(). Referenced by PA_init().

int GSEPA_next | ( | TRACE_REQ * | trace_req,
|  | double | gap_thresh,
|  | int | debug
| ) |

| Definition at line 238 of file gseputaway.c. References TRACE_REQ::chan, Found_data::data, Found_data::data_type_code, EW_FAILURE, EW_SUCCESS, FD_BAD_DATATYPE, FD_CHANGED_SRATE, FD_DOUBLE, FD_FLOAT, FD_FOUND_GAP, FD_FOUND_REQUESTED, FD_LONG_INT, FD_NO_MORE_DATA, FD_SHORT_INT, gmtime_ew(), GSE_MISSING_DATA_FLAG, logit(), Found_data::n_samples, TRACE_REQ::net, pa_find_data(), TRACE_REQ::reqEndtime, TRACE_REQ::reqStarttime, Found_data::sample_rate, TRACE_REQ::sta, write_gse_channel_data(), write_gse_channel_header(), and write_gse_channel_trailer(). Referenced by PA_next().

int GSEPA_next_ev | ( | TRACE_REQ * | trace_req,
|  | int | n_reqs,
|  | char * | output_dir,
|  | char * | e_date,
|  | char * | e_time,
|  | int | debug
| ) |

| Definition at line 168 of file gseputaway.c. References channels_written, EW_FAILURE, EW_SUCCESS, logit(), n_channels, TRACE_REQ::net, open_gse_file(), and TRACE_REQ::pBuf. Referenced by PA_next_ev().